# FormResponseDetail

> Get one form response with every answer, the verdict that scored it and the order it earned. Read access, forms toolset, MCP tool get_form_response.

**Access:** [Read](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `id` | `UUID!` | yes |  | Equal to the specified value. |

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"FormResponseDetail","variables":{"id":"00000000-0000-0000-0000-000000000000"},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"c4880d1848db0970a4352e824f8340b6a870241b34e8bb5e38d00fbb591e8e9f"}}}'
```

## Document

```graphql
query FormResponseDetail($id: UUID!) { __typename answers: allFormResponseAnswers( first: 100 filter: {formResponseId: {equalTo: $id}} ) { __typename nodes { __typename channelByChannelId { __typename id name rowId } formResponseAnswerAttributesByAnswerId { __typename nodes { __typename confidence id polarity workspaceAttributeByAttributeId { __typename id kind label rowId workspaceAttributeByParentId { __typename id label rowId } } workspaceAttributeBySubjectId { __typename id label rowId workspaceAttributeByParentId { __typename id label rowId } } } } formResponseAnswerReasonsByAnswerId { __typename nodes { __typename broad confidence family id narrow quote } } freeText id insightValuable partnerByPartnerId { __typename profileImage: avatarUrl id name rowId username } questionByQuestionId { __typename fieldKey id position rowId type ... on ChannelPickerQuestion { __typename prompt } ... on EmailQuestion { __typename prompt } ... on FreeTextQuestion { __typename prompt } ... on MultiSelectQuestion { __typename prompt } ... on PartnerPickerQuestion { __typename prompt } ... on SingleSelectQuestion { __typename prompt } } questionOptionBySelectedOptionId { __typename id label rowId } reasonInterpretable reasonOutcome rowId } } response: allFormResponses(first: 1, filter: {rowId: {equalTo: $id}}) { __typename nodes { __typename channelByChannelId { __typename id name rowId } completedAt createdAt id mendJudgementsByFormResponseId( first: 1 filter: {supersededAt: {isNull: true}} orderBy: [COMPUTED_AT_DESC] ) { __typename nodes { __typename causeKind computedAt confidence id mendStatus mendTier mendTrust reasonCodes rowId } } ordersByFormResponseId(first: 1) { __typename nodes { __typename attributedRevenue createdAt currencyByCurrencyId { __typename code decimalPlaces decimalSeparator id symbol symbolPosition thousandsSeparator } externalRef id integrationSlug orderNumber rowId } } partnerByPartnerId { __typename profileImage: avatarUrl id name rowId username } rowId shortLinkByShortLinkId { __typename code id label } status trustFlags trustScore utmCampaign utmMedium utmSource } } }
```

Source: https://developer.missin.co.uk/reference/forms/form-response-detail
